apertium-lextor(1)

NAME
apertium-lextor - This application is part of ( apertium )

This tool is part of the apertium machine translation architecture: http://apertium.org.

SYNOPSIS
apertium-lextor --trainwrd stopwords words n left right corpus model [ --weightexp w ] [ --debug ]

apertium-lextor --trainlch stopwords lexchoices n left right corpus wordmodel dic bildic model [ --weightexp w ] [ --debug ]

apertium-lextor --lextor model dic left right [ --debug ] [ --weightexp w ]

DESCRIPTION
apertium-lextor is the application responsible for training and usage of the lexical selector module.

OPTIONS

--trainwrd | -t
Train word co-occurrences model. It needs the following required parameters:

stopwords file containing a list of stop words. Stop words are ignored.

words file containing a list of words. For each word a co-occurrence model is built.

n number of words per co-occurrence model (for each model, the n most frequent words).

left left-side context to take into account (number of words).

right right-side context to take into account (number of words).

corpus file containing the training corpus.

model output file on which the co-occurrence models are saved.

--trainlch | -r
Train lexical choices co-occurrence models using a target language co-occurrence model and a bilingual dictionary. It needs the following required parameters:

stopwords file containing a list of stop words. Stop words are ignored.

lexchoices file containing a list of lexical choices. For each lexical choice a co-occurrence model is built.

n number of words per co-occurrence model (for each model, the n most frequent words).

left left-side context to take into account (number of words).

right right-side context to take into account (number of words).

corpus file containing the training corpus.

wordmodel target-language word co-occurrence model (previously trained by means of the --trainwrd option).

dic the lexical-selection dictionary (binary format).

bildic the bilingual dictionary (binary format).

model output file on which the co-occurrence models are saved.

--lextor | -l
Perform the lexical selection on the input stream. It needs the following required parameters:

model file containing the model to be used for the lexical selection.

dic lexical-selection dictionary (binary format).

left left-side context to take into account (number of words).

right right-side context to take into account (number of words).

--weightexp w
Specify a weight value to change the influence of surrounding words while training or performing the lexical selection. The parameter w must be a positive value.

--debug | -d
Show debug information while working.

--help | -h
Shows this help.

--version | -v
Shows license information.

SEE ALSO
apertium-gen-lextorbil(1), apertium-preprocess-corpus-lextor(1), apertium-gen-stopwords-lextor(1), apertium-gen-wlist-lextor(1), apertium-gen-wlist-lextor-translation(1), apertium-lextor-eval(1), apertium-gen-lextormono(1).

BUGS
Lots of...lurking in the dark and waiting for you!

AUTHOR
(c) 2005,2006 Universitat d'Alacant / Universidad de Alicante. All rights reserved.